.. _scons-config:

Configuration Options
=====================

This document lists the options available for compiling Cantera with
SCons.

The default values are operating-system dependent. To see the defaults for your current
operating system, run the command:

.. code:: bash

   scons help

from the command prompt.

The following options can be passed to SCons to customize the Cantera
build process. They should be given in the form:

.. code:: bash

   scons build option1=value1 option2=value2

Variables set in this way will be stored in the ``cantera.conf`` file and reused
automatically on subsequent invocations of SCons. Alternatively, the
configuration options can be entered directly into ``cantera.conf`` before
running ``scons build``. The format of this file is:

.. code:: python

   option1 = 'value1'
   option2 = 'value2'

..
   The options list is generated by SCons during the build process

.. include:: scons-config-options.rst.inc
